Bug 21403 - use new CallFrame class rather than Register* for call frame manipulation
: use new CallFrame class rather than Register* for call frame manipulation
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P2 Enhancement
Assigned To: Darin Adler
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 10:28 PDT by Darin Adler
Modified: 2008-10-08 17:41 PDT (History)
1 user (show)

See Also:


Attachments
work in progress (284.75 KB, patch)
2008-10-06 10:29 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch (299.67 KB, patch)
2008-10-06 16:19 PDT, Darin Adler
zwarich: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2008-10-06 10:28:33 PDT
This is some cleanup I discussed with Geoff and Cameron.
Comment 1 Darin Adler 2008-10-06 10:29:08 PDT
Created attachment 24115 [details]
work in progress
Comment 2 Darin Adler 2008-10-06 16:19:09 PDT
Created attachment 24128 [details]
patch
Comment 3 Cameron Zwarich (cpst) 2008-10-07 14:25:10 PDT
Comment on attachment 24128 [details]
patch

r=me

However, isn't it valid to use the BSD license on ExecState.cpp rather than the LGPL?
Comment 4 Darin Adler 2008-10-08 10:03:44 PDT
http://trac.webkit.org/changeset/37427
Comment 5 Timothy Hatcher 2008-10-08 10:59:23 PDT
Reopening because of the issues found in bug 21476.
Comment 6 Darin Adler 2008-10-08 17:41:38 PDT
Landed the corrected version.

http://trac.webkit.org/changeset/37433